
(*<$Description$>  </$Description$>*)
FUNCTION_BLOCK FB_CheckCode
    // reset outputs
    Q_dwCode1_32 := 0;
    Q_dwCode33_64 := 0;
    Q_xValid := TRUE;

    // check if code exists
    CASE I_iCode OF
        C_iCodeCmd2 : Q_dwCode1_32.2 := TRUE;
        C_iCodeCmd3 : Q_dwCode1_32.3 := TRUE;
        C_iCodeCmd4 : Q_dwCode1_32.4 := TRUE;
        C_iCodeCmd5 : Q_dwCode1_32.5 := TRUE;
        C_iCodeCmd6 : Q_dwCode1_32.6 := TRUE;
        C_iCodeCmd7 : Q_dwCode1_32.7 := TRUE;
        C_iCodeCmd8 : Q_dwCode1_32.8 := TRUE;
        C_iCodeCmd9 : Q_dwCode1_32.9 := TRUE;
        C_iCodeCmd10 :	Q_dwCode1_32.10 := TRUE;
        C_iCodeCmd11 :	Q_dwCode1_32.11 := TRUE;
        C_iCodeCmd12 :	Q_dwCode1_32.12 := TRUE;
        C_iCodeCmd13 :	Q_dwCode1_32.13 := TRUE;
        C_iCodeCmd14 :	Q_dwCode1_32.14 := TRUE;	
        C_iCodeCmd15 :	Q_dwCode1_32.15 := TRUE;	
        C_iCodeCmd16 :	Q_dwCode1_32.16 := TRUE;
        C_iCodeCmd17 :	Q_dwCode1_32.17 := TRUE;
        C_iCodeCmd18 :	Q_dwCode1_32.18 := TRUE;	
        C_iCodeCmd19 :	Q_dwCode1_32.19 := TRUE;
        C_iCodeCmd20 : Q_dwCode1_32.20 := TRUE;
        C_iCodeCmd21 : Q_dwCode1_32.21 := TRUE;
        C_iCodeCmd22 : Q_dwCode1_32.22 := TRUE;
        C_iCodeCmd23 : Q_dwCode1_32.23 := TRUE;
        C_iCodeCmd24 : Q_dwCode1_32.24 := TRUE;
        C_iCodeCmd25 : Q_dwCode1_32.25 := TRUE;
        C_iCodeCmd26 : Q_dwCode1_32.26 := TRUE;
        C_iCodeCmd27 : Q_dwCode1_32.27 := TRUE;
        C_iCodeCmd28 : Q_dwCode1_32.28 := TRUE;
        C_iCodeCmd29 : Q_dwCode1_32.29 := TRUE;
        C_iCodeCmd30 : Q_dwCode1_32.30 := TRUE;	
        C_iCodeCmd31 : Q_dwCode1_32.31 := TRUE;									
        C_iCodeCmd32 : Q_dwCode33_64.0 := TRUE;										
        C_iCodeCmd33 : Q_dwCode33_64.1 := TRUE;
        C_iCodeCmd34 : Q_dwCode33_64.2 := TRUE;
        C_iCodeCmd35 : Q_dwCode33_64.3 := TRUE;
        C_iCodeCmd36 : Q_dwCode33_64.4 := TRUE;
        C_iCodeCmd37 : Q_dwCode33_64.5 := TRUE;
        C_iCodeCmd38 : Q_dwCode33_64.6 := TRUE;
        C_iCodeCmd39 : Q_dwCode33_64.7 := TRUE;
        C_iCodeCmd40 : Q_dwCode33_64.8 := TRUE;
        C_iCodeCmd41 : Q_dwCode33_64.9 := TRUE;
        ELSE	
            (* Compare with the defined codes mismatch, wrong code detected. *)
            Q_xValid := FALSE;
    END_CASE
END_FUNCTION_BLOCK
